//
// Created by m on 7/18/23.
//

#ifndef RLA_IIPP_RENDERINGPIPELINESTEP_HPP
#define RLA_IIPP_RENDERINGPIPELINESTEP_HPP

#include "renderer.hpp"

class RenderingPipelineStep {
public:
    virtual ~RenderingPipelineStep() = default;

    virtual void render_step(Renderer* renderer) = 0;
};

#endif //RLA_IIPP_RENDERINGPIPELINESTEP_HPP
